Package org.zkoss.stateless.function

## Interface CheckedConsumer5<A,​B,​C,​D,​E>

- All Superinterfaces:
    `java.io.Serializable`
  All Known Subinterfaces:
    `ActionHandler5<A,​B,​C,​D,​E>`, `ActionType.OnAcrossPage5<A,​B,​C,​D,​E>`, `ActionType.OnAdjustCols5<A,​B,​C,​D,​E>`, `ActionType.OnAdjustFrozenCols5<A,​B,​C,​D,​E>`, `ActionType.OnAdjustRows5<A,​B,​C,​D,​E>`, `ActionType.OnAfterRender5<A,​B,​C,​D,​E>`, `ActionType.OnAfterSize5<A,​B,​C,​D,​E>`, `ActionType.OnAnchorPos5<A,​B,​C,​D,​E>`, `ActionType.OnBlur5<A,​B,​C,​D,​E>`, `ActionType.OnBookmarkChange5<A,​B,​C,​D,​E>`, `ActionType.OnCameraUnavailable5<A,​B,​C,​D,​E>`, `ActionType.OnCancel5<A,​B,​C,​D,​E>`, `ActionType.OnCellClick5<A,​B,​C,​D,​E>`, `ActionType.OnChange5<A,​B,​C,​D,​E>`, `ActionType.OnChanging5<A,​B,​C,​D,​E>`, `ActionType.OnCheck5<A,​B,​C,​D,​E>`, `ActionType.OnCheckSelectAll5<A,​B,​C,​D,​E>`, `ActionType.OnClear5<A,​B,​C,​D,​E>`, `ActionType.OnClick5<A,​B,​C,​D,​E>`, `ActionType.OnClientInfo5<A,​B,​C,​D,​E>`, `ActionType.OnClose5<A,​B,​C,​D,​E>`, `ActionType.OnColSize5<A,​B,​C,​D,​E>`, `ActionType.OnCreate5<A,​B,​C,​D,​E>`, `ActionType.OnCrop5<A,​B,​C,​D,​E>`, `ActionType.OnCtrlKey5<A,​B,​C,​D,​E>`, `ActionType.OnDataLoading5<A,​B,​C,​D,​E>`, `ActionType.OnDeferredEvaluation5<A,​B,​C,​D,​E>`, `ActionType.OnDesktopRecycle5<A,​B,​C,​D,​E>`, `ActionType.OnDetect5<A,​B,​C,​D,​E>`, `ActionType.OnDivisionSize5<A,​B,​C,​D,​E>`, `ActionType.OnDoubleClick5<A,​B,​C,​D,​E>`, `ActionType.OnDrop5<A,​B,​C,​D,​E>`, `ActionType.OnError5<A,​B,​C,​D,​E>`, `ActionType.OnFocus5<A,​B,​C,​D,​E>`, `ActionType.OnFulfill5<A,​B,​C,​D,​E>`, `ActionType.OnGroup5<A,​B,​C,​D,​E>`, `ActionType.OnHistoryPopState5<A,​B,​C,​D,​E>`, `ActionType.OnInnerWidth5<A,​B,​C,​D,​E>`, `ActionType.OnItemClick5<A,​B,​C,​D,​E>`, `ActionType.OnLengthLimitExceed5<A,​B,​C,​D,​E>`, `ActionType.OnMaxFileCountExceed5<A,​B,​C,​D,​E>`, `ActionType.OnMaximize5<A,​B,​C,​D,​E>`, `ActionType.OnMaxsizeExceed5<A,​B,​C,​D,​E>`, `ActionType.OnMinimize5<A,​B,​C,​D,​E>`, `ActionType.OnModal5<A,​B,​C,​D,​E>`, `ActionType.OnMouseOut5<A,​B,​C,​D,​E>`, `ActionType.OnMouseOver5<A,​B,​C,​D,​E>`, `ActionType.OnMove5<A,​B,​C,​D,​E>`, `ActionType.OnNotify5<A,​B,​C,​D,​E>`, `ActionType.OnOK5<A,​B,​C,​D,​E>`, `ActionType.OnOpen5<A,​B,​C,​D,​E>`, `ActionType.OnPageSize5<A,​B,​C,​D,​E>`, `ActionType.OnPaging5<A,​B,​C,​D,​E>`, `ActionType.OnPiggyback5<A,​B,​C,​D,​E>`, `ActionType.OnPortalDrop5<A,​B,​C,​D,​E>`, `ActionType.OnPortalMove5<A,​B,​C,​D,​E>`, `ActionType.OnRangeValueChange5<A,​B,​C,​D,​E>`, `ActionType.OnRender5<A,​B,​C,​D,​E>`, `ActionType.OnRightClick5<A,​B,​C,​D,​E>`, `ActionType.OnRotate5<A,​B,​C,​D,​E>`, `ActionType.OnSave5<A,​B,​C,​D,​E>`, `ActionType.OnScriptError5<A,​B,​C,​D,​E>`, `ActionType.OnScroll5<A,​B,​C,​D,​E>`, `ActionType.OnScrolling5<A,​B,​C,​D,​E>`, `ActionType.OnScrollPos5<A,​B,​C,​D,​E>`, `ActionType.OnScrollX5<A,​B,​C,​D,​E>`, `ActionType.OnScrollY5<A,​B,​C,​D,​E>`, `ActionType.OnSearch5<A,​B,​C,​D,​E>`, `ActionType.OnSearching5<A,​B,​C,​D,​E>`, `ActionType.OnSelect5<A,​B,​C,​D,​E>`, `ActionType.OnSelection5<A,​B,​C,​D,​E>`, `ActionType.OnSelectSubModel5<A,​B,​C,​D,​E>`, `ActionType.OnSize5<A,​B,​C,​D,​E>`, `ActionType.OnSlide5<A,​B,​C,​D,​E>`, `ActionType.OnSnapshotUpload5<A,​B,​C,​D,​E>`, `ActionType.OnSort5<A,​B,​C,​D,​E>`, `ActionType.OnStateChange5<A,​B,​C,​D,​E>`, `ActionType.OnStub5<A,​B,​C,​D,​E>`, `ActionType.OnSwipe5<A,​B,​C,​D,​E>`, `ActionType.OnTargetClick5<A,​B,​C,​D,​E>`, `ActionType.OnTimer5<A,​B,​C,​D,​E>`, `ActionType.OnTimeZoneChange5<A,​B,​C,​D,​E>`, `ActionType.OnTopPad5<A,​B,​C,​D,​E>`, `ActionType.OnUngroup5<A,​B,​C,​D,​E>`, `ActionType.OnUpload5<A,​B,​C,​D,​E>`, `ActionType.OnURIChange5<A,​B,​C,​D,​E>`, `ActionType.OnUser5<A,​B,​C,​D,​E>`, `ActionType.OnVisibilityChange5<A,​B,​C,​D,​E>`, `ActionType.OnWeekClick5<A,​B,​C,​D,​E>`, `ActionType.OnZIndex5<A,​B,​C,​D,​E>`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface CheckedConsumer5<A,​B,​C,​D,​E>
      extends java.io.Serializable

  Represents an operation that accepts five arguments and returns no result.
  Author:
    jumperchen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(A a, B b, C c, D d, E e)` |
    `default CheckedConsumer5<A,​B,​C,​D,​E>` | `andThen​(CheckedConsumer5<? super A,​? super B,​? super C,​? super D,​? super E> after)` |

- - ### Method Detail

    - #### accept

          void accept​(A a,
                      B b,
                      C c,
                      D d,
                      E e)
               throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### andThen

          default CheckedConsumer5<A,​B,​C,​D,​E> andThen​(CheckedConsumer5<? super A,​? super B,​? super C,​? super D,​? super E> after)